Skip to main content

Start an Auto Scaling Group

Starts a stopped group: brings its nodes back online and resumes autoscaling. The request body is empty.

PUT/api/v1/scaler/scalegroups/{scaler_id}/start/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

The start action takes an empty request body.

Responses

200Successful response
object

Start confirmation.

codeinteger
example200
datastring
exampleyour service has been started
errorsobject
messagestring
exampleSuccess